Bug 1289308 - RHCI Deployment fails at Review page with "Permission Denied" message
RHCI Deployment fails at Review page with "Permission Denied" message
Status: CLOSED CURRENTRELEASE
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: Installation - RHCI (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity high
: TP2
: 1.0
Assigned To: Jason Montleon
Dave Johnson
Dan Macpherson
: Triaged
Depends On:
Blocks: rhci-sprint-12
  Show dependency treegraph
 
Reported: 2015-12-07 15:29 EST by bmorriso
Modified: 2016-10-03 15:07 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-03 15:07:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bmorriso 2015-12-07 15:29:14 EST
Description of problem:
I'm creating an RHCI deployment with just RHEV. At the installation review page, I click deploy and an error message pops up: 

"{"displayMessage":"Permission denied - /usr/share/foreman/log/second-deploy-4","errors":["Permission denied - /usr/share/foreman/log/second-deploy-4"]}"

Version-Release number of selected component (if applicable):
RHCI-6.0-RHEL-7-20151204.t.1

How reproducible:
always

Steps to Reproduce:
1. Create a new RHCI deployment using the wizard.
2. At the Installation Review page, click Deploy.
3.

Actual results:
An error message pops up on the review page:
 {"displayMessage":"Permission denied - /usr/share/foreman/log/third-one-5","errors":["Permission denied - /usr/share/foreman/log/third-one-5"]}

Expected results:
The RHCI deployment would begin to install.

Additional info:

I've tried this with an RHEV only deployment as well as one with RHEV/Cloudforms and the result was the same for both.
Comment 1 John Matthews 2015-12-07 15:57:02 EST
See this comment for more info:  https://bugzilla.redhat.com/show_bug.cgi?id=1217540#c6

We think this is a SELinu issue, have a fix in fusor_selinux, spinning up a new compose to verify.
Comment 2 John Matthews 2015-12-07 17:11:32 EST
We've built compose RHCI-6.0-RHEL-7-20151207.t.0 to address the selinux issue.

Please let us know if this helps.
Comment 3 John Matthews 2015-12-08 08:43:01 EST
RHCI-6.0-RHEL-7-20151207.t.0 looks to fix the SELinux issue.
Comment 4 Antonin Pagac 2016-01-11 06:16:55 EST
Verified.

RHCI-6.0-RHEL-7-20160107.t.1-RHCI-x86_64-dvd1.iso

Note You need to log in before you can comment on or make changes to this bug.